Synchronous audio transcription
curl --request POST \
--url http://co-mind-platform-host/v1/echo/transcribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form audio='@example-file'import requests
url = "http://co-mind-platform-host/v1/echo/transcribe"
files = { "audio": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('audio', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('http://co-mind-platform-host/v1/echo/transcribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "echo_1718200000",
"object": "echo.transcription",
"created_at": 1718200000,
"text": "<string>",
"segments": [
{
"start": 123,
"end": 123,
"text": "<string>",
"speaker": "<string>"
}
]
}{
"error": {
"message": "Invalid request parameters",
"type": "invalid_request_error",
"code": "bad_request"
}
}{
"error": {
"message": "Invalid authentication credentials",
"type": "permission_error",
"code": "unauthorized"
}
}Echo Engine
Synchronous audio transcription
Upload an audio file and receive transcription results synchronously. Supports speaker diarization. Max file size: 100 MB. Accepted formats: mp3, wav, m4a, flac, ogg, webm, wma, aac, opus.
POST
/
v1
/
echo
/
transcribe
Synchronous audio transcription
Authorizations
Bearer token authentication. Supports two token types:
- JWT Access Token — obtained via
POST /v1/auth/login - Personal Access Token (PAT) — created via
POST /v1/api-tokens, format:cmnd_<tokenId>.<secret>
Query Parameters
Language code for transcription
Transcription quality
Available options:
fast, accurate Enable speaker diarization
Expected number of speakers
Body
multipart/form-data
Audio file to transcribe
⌘I

